Roots Discourse

How to change versions of PHP


#1

In Issue 1056 the recommended solution was to revert to using PHP 7.2.

Is there a straightforward way of doing this, apart from undoing the PR that made 7.3 the default version?

In the first case I just fixed the error in WP that was causing the problem, but this is not a great solution, is it.

(I have put a restriction into composer.json s.t. "php": ">=7.1, <7.3", but will that be enough?)

thanks,
Anita Graham


#2

Nope, that is how you’d do it

Nope, that has no effect on installing a specific version of PHP


#3

Thanks - found that all out.

I decided to bite the bullet and upgraded to WP 5.02, and have moved forward.

Thank you again.